# Generated by Django 4.1.3 on 2022-12-01 23:43

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        ("todos", "0002_todoitem"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="todolist",
            name="creaton_on",
        ),
        migrations.AddField(
            model_name="todolist",
            name="created_on",
            field=models.DateTimeField(auto_now_add=True, null=True),
        ),
        migrations.AlterField(
            model_name="todoitem",
            name="due_date",
            field=models.DateTimeField(
                blank=True, default=django.utils.timezone.now
            ),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name="todoitem",
            name="list",
            field=models.ForeignKey(
                blank=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="items",
                to="todos.todolist",
            ),
        ),
        migrations.AlterField(
            model_name="todoitem",
            name="task",
            field=models.CharField(blank=True, max_length=100),
        ),
    ]
